/*
** version.h
*/
#ifndef __versioninclude
#define __versioninclude 1

#include "relinfo.h"
/* 
 * Mark of settings
 */
#ifdef DEBUGMODE
#define DEBUGMODESET "[debugmode]"
#else
#define DEBUGMODESET ""
#endif
 /**/
#ifdef DEBUG
#define DEBUGSET "[debug]"
#else
#define DEBUGSET ""
#endif
     /**/
#define COMPILEINFO DEBUGMODESET DEBUGSET
/*
 * Don't use purposeful blank lines
 *  we dont use any auto scripts for version increments anyways.
 */
#define Protocol 		6
#define PATCH1  		"0"
#define PATCH2  		".09"
#define PATCH3  		"r3"
#define PATCH4  		".pre3"
#define PATCH5  		""
#define PATCH6  		""
#define PATCH7  		""
#define PATCH8  		COMPILEINFO
#ifdef _WIN32
#define PATCH9  		"(+win32)"
#else
#define PATCH9  		""
#endif
/* release header */
#define Rh BASE_VERSION
#define VERSIONONLY		PATCH1 PATCH2 PATCH3 PATCH4 PATCH5 PATCH6 PATCH7
#endif /* __versioninclude */
